From 1931ccf65e1ff79376cba8276dbbe88c35ddc730 Mon Sep 17 00:00:00 2001
From: Adrian Taylor <adetaylor@chromium.org>
Date: Oct 10 2020 23:19:20 +0000
Subject: [PATCH 1031/2232] Attempt at BUCK and BUILD files.


---

diff --git a/tests/BUCK b/tests/BUCK
index f066542..6ad9f90 100644
--- a/tests/BUCK
+++ b/tests/BUCK
@@ -9,6 +9,7 @@ rust_test(
 rust_library(
     name = "ffi",
     srcs = [
+        "ffi/extra.rs",
         "ffi/lib.rs",
         "ffi/module.rs",
     ],
@@ -25,6 +26,7 @@ cxx_library(
         "ffi/tests.cc",
         ":bridge/source",
         ":module/source",
+        ":extra/source",
     ],
     headers = {
         "ffi/lib.rs.h": ":bridge/header",
@@ -42,3 +44,8 @@ rust_cxx_bridge(
     name = "module",
     src = "ffi/module.rs",
 )
+
+rust_cxx_bridge(
+    name = "extra",
+    src = "ffi/extra.rs",
+)
diff --git a/tests/BUILD b/tests/BUILD
index 1345a7a..4dff0a0 100644
--- a/tests/BUILD
+++ b/tests/BUILD
@@ -12,6 +12,7 @@ rust_test(
 rust_library(
     name = "cxx_test_suite",
     srcs = [
+        "ffi/extra.rs",
         "ffi/lib.rs",
         "ffi/module.rs",
     ],
@@ -27,6 +28,7 @@ cc_library(
         "ffi/tests.cc",
         ":bridge/source",
         ":module/source",
+        ":extra/source",
     ],
     hdrs = ["ffi/tests.h"],
     deps = [
@@ -46,3 +48,9 @@ rust_cxx_bridge(
     src = "ffi/module.rs",
     deps = [":impl"],
 )
+
+rust_cxx_bridge(
+    name = "extra",
+    src = "ffi/extra.rs",
+    deps = [":impl"],
+)

